var app = angular.module("instantSearch", []);


app.filter('searchFor', function(){

	

	return function(arr, searchString){

		if(!searchString){
			return arr;
		}

		var result = [];

		searchString = searchString.toLowerCase();

	
		angular.forEach(arr, function(item){

			if(item.title.toLowerCase().indexOf(searchString) !== -1){
				result.push(item);
			}

		});

		return result;
	};

});

function InstantSearchController($scope){


			$scope.items = [
		{
			url: 'http://www.vidobu.com/videolar/css3_ile_hareketli_menu_tasarimi/',
			title: 'CSS3 ile Hareketli Menü Tasarımı',
			image: 'http://www.vidobu.com/uploads//egitimler/e52e04589c1f97f4.JPG'
		},
		
		{
			url: 'http://www.vidobu.com/videolar/adobe_muse_ile_web_sitesi_tasarimi/',
			title: 'Adobe Muse ile Web Sitesi Tasarımı',
			image: 'http://www.vidobu.com/uploads//egitimler/d287327a8d73579d.JPG'
		},
		{
			url: 'http://www.vidobu.com/videolar/photoshop_puf_noktalari/',
			title: 'Photoshop Püf Noktaları',
			image: 'http://www.vidobu.com/uploads//egitimler/075b38cdf00b9ac6.JPG'
		},
		{
			url: 'http://www.vidobu.com/videolar/xcode_baslangic_rehberi/',
			title: 'Xcode Başlangıç Rehberi',
			image: 'http://www.vidobu.com/uploads//egitimler/f807b184859b4a6e.JPG'
		},
		{
			url: 'http://www.vidobu.com/videolar/jquery_ile_interaktif_animasyonlar_olusturmak/',
			title: 'jQuery ile İnteraktif Animasyonlar Oluşturmak',
			image: 'http://www.vidobu.com/uploads//egitimler/171f302ca6454b48.JPG'
		},
		{
			url: 'http://www.vidobu.com/videolar/3ds_max_2d_ve_3d_hazir_nesneler/',
			title: '3ds Max 2D ve 3D Hazır Nesneler',
			image: 'http://www.vidobu.com/uploads//egitimler/16ae8ec723807bb3.JPG'
		},
		{
			url: 'http://www.vidobu.com/videolar/after_effects_ile_hareketli_grafikler_olusturmak/',
			title: 'After Effects ile Hareketli Grafikler Oluşturmak',
			image: 'http://www.vidobu.com/uploads//egitimler/e6f29cbd28f0a2c7.JPG'
		}
	];

}




